--- /usr/src/linux-3.8.11/arch/arm/mach-kirkwood/nsa320-setup.c.backup	2013-07-15 16:41:13.181487000 +0200
+++ /usr/src/linux-3.8.11/arch/arm/mach-kirkwood/nsa320-setup.c	2017-05-22 17:02:04.076579000 +0200
@@ -15,6 +15,7 @@
 #include <linux/mtd/partitions.h>
 #include <linux/ata_platform.h>
 #include <linux/mv643xx_eth.h>
+#include <linux/ethtool.h>
 #include <linux/i2c.h>
 #include <linux/gpio.h>
 #include <linux/gpio_keys.h>
@@ -74,7 +75,9 @@
 };
 
 static struct mv643xx_eth_platform_data nsa320_ge00_data = {
-	.phy_addr	= MV643XX_ETH_PHY_ADDR(1),
+	.phy_addr	= MV643XX_ETH_PHY_ADDR(0),
+	.speed		= SPEED_1000,
+	.duplex		= DUPLEX_FULL,
 };
 
 static struct mv_sata_platform_data nsa320_sata_data = {
@@ -120,7 +123,7 @@
 static struct gpio_led nsa320_led_pins[] = {
 	{
 		.name			= "nsa320:green:hdd2",
-		.default_trigger	= "default-off",
+		.default_trigger	= "default-on",
 		.gpio			= 12,
 		.active_low		= 0,
 	}, {
@@ -135,12 +138,12 @@
 		.active_low		= 0,
 	}, {
 		.name			= "nsa320:green:sys",
-		.default_trigger	= "default-off",
+		.default_trigger	= "default-on",
 		.gpio			= 28,
 		.active_low		= 0,
 	}, {
 		.name			= "nsa320:orange:sys",
-		.default_trigger	= "default-on",
+		.default_trigger	= "default-off",
 		.gpio			= 29,
 		.active_low		= 0,
 	}, {
@@ -155,7 +158,7 @@
 		.active_low		= 0,
 	}, {
 		.name			= "nsa320:green:hdd1",
-		.default_trigger	= "default-off",
+		.default_trigger	= "default-on",
 		.gpio			= 41,
 		.active_low		= 0,
 	}, {
